List protection templates
curl --request GET \
--url https://api.gcore.com/security/sifter/v3/templates \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/security/sifter/v3/templates"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/security/sifter/v3/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"allow_merge": false,
"client_id": 42,
"description": "Template for configuring DDoS protection policies",
"fields": [
{
"description": "Maximum number of requests per second before triggering protection",
"field_type": "RULES",
"id": 1,
"name": "Rate Limit Threshold",
"name_in_config": "rate_limit_threshold",
"validation_schema": {
"maximum": 100000,
"minimum": 1,
"type": "integer"
}
}
],
"id": 7,
"name": "DDoS Protection Template",
"template": {
"properties": {
"threshold": {
"minimum": 1,
"type": "integer"
},
"action": {
"enum": [
"block",
"challenge",
"log"
],
"type": "string"
}
},
"type": "object"
}
}
]{}{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Protection Templates
List protection templates
List protection templates. Offset and limit parameters control the response size.
GET
/
security
/
sifter
/
v3
/
templates
List protection templates
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Required range:
x >= 0Required range:
x >= 1Response
Successful Response
Name of the template
Required string length:
1 - 100Description of the template
JSON schema for the template
Allow merging of this config with others
ID of the client this template belongs to
Unique identifier for the template
List of fields in the template
Show child attributes
Show child attributes
Was this page helpful?
⌘I